%define oname    intl
%define ruby	 /usr/bin/ruby
%define rbindir  %(%{ruby} -r rbconfig -e 'print Config::CONFIG["bindir"]')
%define rlibdir  %(%{ruby} -r rbconfig -e 'print Config::CONFIG["rubylibdir"]')
%define rarchdir %(%{ruby} -r rbconfig -e 'print Config::CONFIG["archdir"]')

Summary:      A wrapper for GNU gettext for use with Ruby
Summary(ja):  Ruby から GNU gettext を扱うためのライブラリ
Name:         ruby-%{oname}
Version:      0.11
Release:      0vl2
License:      GPL
Group:        Development/Libraries
Source0:      ruby-%{oname}-%{version}.tar.gz
URL:          http://www.page.sannet.ne.jp/hirata-naoto/ruby-e.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Distribution: Vine Linux
Vendor:       Project Vine

BuildPrereq:  ruby, ruby-devel >= 1.6.4-0vl3
BuildPreReq:  gettext

Requires:     ruby, gettext


%description
ruby-intl -- A wrapper of GNU gettext for ruby.

%description -l ja
ruby-intl は GNU gettext のラッパークラスです．


%prep
%setup -q -n %{oname}
echo "rbindir is " %{rbindir}
echo "rlibdir is " %{rlibdir}
echo "rarchdir is " %{rarchdir}


%build
%{ruby} extconf.rb
make


%install
rm -rf %{buildroot}
make sitearchdir=$RPM_BUILD_ROOT%{rarchdir} install


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc COPYING* ChangeLog README*
%doc hello.rb ja.po

%{rarchdir}/intl.so


%changelog 
* Tue Dec 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.11-0vl2
- rebuilt with ruby-1.8
- changed Group:

* Sun Aug 05 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.11-0vl1
- initial rpm package for VineSeedPlus
